Bug 94450 - dEQP-GLES3.functional.fbo.blit.rect.nearest_consistency_* fails
Summary: dEQP-GLES3.functional.fbo.blit.rect.nearest_consistency_* fails
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: i965-deqp
  Show dependency treegraph
 
Reported: 2016-03-09 01:00 UTC by Kenneth Graunke
Modified: 2019-03-14 08:40 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2016-03-09 01:00:27 UTC
The dEQP-GLES3.functional.fbo.blit.rect.nearest_consistency_* tests fail.

Setting the "address rounding" bits in SAMPLER_STATE, even for GL_NEAREST filtering, appears to fix these tests, but breaks others (e.g. dEQP-GLES3.functional.shaders.texture_functions.textureprojlod.usampler3d_vertex).
Comment 1 Kenneth Graunke 2016-03-19 06:57:45 UTC
https://lists.freedesktop.org/archives/mesa-dev/2016-March/110214.html

fixes all the tests, but it's immensely sketchy.
Comment 2 Kenneth Graunke 2016-03-29 00:35:00 UTC
I ended up pushing that patch despite its sketchiness.

commit 60d6a8989ab44cf47accee6bc692ba6fb98f6a9f
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Mon Mar 7 23:54:53 2016 -0800

    i965: Set address rounding bits for GL_NEAREST filtering as well.
Comment 3 Kenneth Graunke 2016-03-30 20:04:35 UTC
I had to revert the patch as it caused dEQP regressions on Sandybridge (apparently my CI build doesn't test those).
Comment 4 Mark Janes 2016-04-25 18:17:38 UTC
This was fixed by mesa 935ce14


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.